using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace TestWebSite.DAL
{
    /// <summary>
    /// Summary description for StubObjectDAL
    /// </summary>
    public class StubObjectDAL
    {
        public StubObjectDAL()
        {
        }

        public List<StubObject> GetListOfStubs()
        {
            List<StubObject> list = new List<StubObject>();
            for (int i = 1; i < 20; i++)
            {
                list.Add(
                    new StubObject
                    {
                        Id = i,
                        StubName = "StubName" + i,
                        StubSummary = "StubSummary" + i
                    });
            }
            return list;
        }

        public bool Update() 
        {
            throw new Exception("Dummy exception");
        }
    }
}